This file describes changes to the TILE-Gx and TILEPro ports while they
were in the ports add-on directory.  These ports are no longer part of
an add-on and so future changes to them should be listed in the top-level
ChangeLog file, not here.



2014-02-10  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile: Move directory to ../sysdeps/tile.
	* sysdeps/unix/sysv/linux/tile: Move directory to
	../sysdeps/unix/sysv/linux/tile.

2014-01-03  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/libm-test-ulps: Regenerated.

2014-01-06  Mike Frysinger  <vapier@gentoo.org>

	* sysdeps/unix/sysv/linux/tile/sys/ptrace.h (ptrace_peeksiginfo_args):
	Rename to ...
	(__ptrace_peeksiginfo_args): ... this.

2013-10-30  Mike Frysinger  <vapier@gentoo.org>

	* sysdeps/unix/sysv/linux/tile/configure.in: Moved to ...
	* sysdeps/unix/sysv/linux/tile/configure.ac: ... here.
	* sysdeps/unix/sysv/linux/tile/tilegx/configure.in: Moved to ...
	* sysdeps/unix/sysv/linux/tile/tilegx/configure.ac: ... here.
	* sysdeps/unix/sysv/linux/tile/configure: Regenerated.
	* sysdeps/unix/sysv/linux/tile/tilegx/configure: Likewise.

2013-09-22  Carlos O'Donell  <carlos@redhat.com>

	[BZ #15754]
	* sysdeps/tile/stackguard-macros.h: Define POINTER_CHK_GUARD.

2013-09-20  Andreas Schwab  <schwab@linux-m68k.org>

	* sysdeps/tile/ffs.c (__ffs): Define as hidden.

2013-08-21   Ondřej Bílka  <neleai@seznam.cz>

	* sysdeps/tile/jmpbuf-offsets.h: Fix typos.

2013-07-22  Chris Metcalf  <cmetcalf@tilera.com>

	[BZ #15759]
	* sysdeps/tile/dl-runtime.c (sim_dlclose): New function.
	(_dl_unmap): Call sim_dlclose().

2013-07-19  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/sys/ptrace.h
	(__ptrace_peeksiginfo_args): Add missing semicolon.

2013-07-03  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/dl-static.c: New file to support
	variable page size for tile.
	* sysdeps/unix/sysv/linux/tile/ldsodefs.h: Likewise.
	* sysdeps/unix/sysv/linux/tile/Makefile: Build dl-static in elf.
	* sysdeps/unix/sysv/linux/tile/Versions: Add _dl_var_init.

	* sysdeps/tile/libm-test-ulps: Update with new tests.

	* sysdeps/tile/s_fma.c: Use soft-fp version instead of ieee754.
	* sysdeps/tile/s_fmaf.c: Likewise.
	* sysdeps/tile/sfp-machine.h: New file.

2013-07-04  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/tile/sys/ptrace.h (PTRACE_PEEKSIGINFO):
	Add new value from Linux 3.10.
	(ptrace_peeksiginfo_args): Add.
	(__ptrace_peeksiginfo_flags): Add.
	(PTRACE_SETREGSET, PTRACE_SEIZE, PTRACE_INTERRUPT, PTRACE_LISTEN):
	Add.

2013-06-28  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/fegetenv.c: Delete now-redundant file.
	* sysdeps/tile/fegetround.c: Likewise.
	* sysdeps/tile/feholdexcpt.c: Likewise.
	* sysdeps/tile/fesetenv.c: Likewise.
	* sysdeps/tile/fesetround.c: Likewise.
	* sysdeps/tile/feupdateenv.c: Likewise.

2013-06-15  Siddhesh Poyarekar  <siddhesh@redhat.com>

	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libpthread.abilist:
	Update.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libpthread.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libpthread.abilist:
	Likewise.

2013-06-12  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/bits/endian.h (__BYTE_ORDER): Default to little.

2013-06-05  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/tile/tilepro/memcpy.S: Remove trailing whitespace.
	* sysdeps/unix/sysv/linux/tile/nptl/clone.S: Likewise.
	* sysdeps/unix/sysv/linux/tile/setcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/tile/swapcontext.S: Likewise.

2013-05-29  Siddhesh Poyarekar  <siddhesh@redhat.com>

	[BZ #15465]
	* sysdeps/tile/dl-machine.h (elf_machine_rela): Use
	RTLD_PROGNAME.

2013-05-23  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/tilegx/Makefile ($(cflags-mcmodel-large)):
	Test for assembler and linker support for "-mcmodel=large -fpic"
	in addition to compiler support; provide -DNO_PLT_PCREL if not.
	* sysdeps/tile/start.S [NO_PLT_PCREL]: Guard for no PC-relative
	PLT operators in assembly.
	* sysdeps/tile/crti.S [NO_PLT_PCREL]: Likewise.

2013-05-22  Edjunior Barbosa Machado  <emachado@linux.vnet.ibm.com>

	* sysdeps/unix/sysv/linux/tile/bits/siginfo.h (siginfo_t): Fix comment
	formatting. Add	si_addr_lsb to _sifields.sigfault.
	(si_addr_lsb): Define new macro.
	(BUS_MCEERR_AR, BUS_MCEERR_AO): Define new values.

2013-05-22  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/tile/libm-test-ulps: Update test names.

2013-05-19  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/tile/libm-test-ulps: Update names of sincos tests.

2013-05-16  Ryan S. Arnold  <rsa@linux.vnet.ibm.com>

	* sysdeps/tile/tilegx/memusage.h: Add missing #include <stdint.h> due
	to uint64_t or uint32_t usage.
	* sysdeps/tile/tilegx/string-endian.h: Likewise.

2013-03-11  Andreas Schwab  <schwab@suse.de>

	[BZ #15234]
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libpthread.abilist
	(GLIBC_2.12): Remove pthread_atfork.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libpthread.abilist
	(GLIBC_2.12): Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libpthread.abilist
	(GLIBC_2.12): Likewise.

2013-03-05  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/tile/bits/mman.h: Remove all defines
	provided by bits/mman-linux.h and include <bits/mman-linux.h>.

2013-02-28  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/nptl/lowlevellock.h
	(FUTEX_WAIT_REQUEUE_PI): Define.
	(FUTEX_CMP_REQUEUE_PI): Likewise.
	(lll_futex_wait_requeue_pi): Likewise.
	(lll_futex_timed_wait_requeue_pi): Likewise.
	(lll_futex_cmp_requeue_pi): Likewise.

2013-02-18  Siddhesh Poyarekar  <siddhesh@redhat.com>

	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libc.abilist:
	Add __cxa_thread_atexit_impl.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libc.abilist:
	Likewise.

2013-01-10  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/tilegx/ldd-rewrite.sed: New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/configure.in: New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/configure: New file.

2013-01-02  Joseph Myers  <joseph@codesourcery.com>

	* All files with FSF copyright notices: Update copyright dates
	using scripts/update-copyrights.

2012-12-28  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/nptl/lowlevellock.h
	(lll_futex_timed_wait_bitset): New macro.

2012-12-14  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/nptl/clone.S: Fix DWARF info.

2012-11-29  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/s_fmaf.c: Remove redundant #defines now provided
	in sysdeps/tile/math_private.h.

2012-11-20  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/libm-test-ulps: Account for new tests.

	* sysdeps/tile/bits/byteswap.h: Include <bits/types.h>.
	(__bswap_64): Use __uint64_t instead of unsigned long long int.

	* sysdeps/tile/s_fma.c: Remove redundant #defines now provided
	in sysdeps/tile/math_private.h.

2012-11-06  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/tilegx/memmove.c: New file.

	* sysdeps/tile/nptl/pthread_spin_unlock.c: New file.

2012-11-05  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/math_private.h: Provide additional no-op defines
	for exception and rounding macros.

	* sysdeps/tile/tilegx/Makefile: New file.
	* sysdeps/tile/crti.S: Support large memory model.
	* sysdeps/tile/start.S: Likewise.

2012-11-02  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/dl-runtime.c (_dl_after_load): Handle simulator
	notification better for dlopen() of relative paths.

	* sysdeps/tile/tilegx/memcpy.c (__memcpy): Optimize.
	* sysdeps/tile/memcopy.h: New file.
	* sysdeps/tile/wordcopy.c: New file.

2012-11-03  Joseph Myers  <joseph@codesourcery.com>

	[BZ #3439]
	* sysdeps/tile/bits/fenv.h (FE_TONEAREST): Define macro to integer
	constant usable in #if and use that to give value to enum
	constant.

2012-11-03  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/libm-test-ulps: Account for new tests.

2012-10-30  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/dl-machine.h: Use new DL_AFTER_LOAD macro
	and rename _dl_arch_map_object to _dl_after_load.
	* sysdeps/tile/dl-runtime.c: Rename _dl_arch_map_object
	to _dl_after_load and remove spurious DL_UNMAP definition.

	* sysdeps/unix/sysv/linux/tile/init-first.c: Use better #include.
	* sysdeps/unix/sysv/linux/tile/gettimeofday.c: Use gettimeofday
	aliases that match existing tile ABI.

	* sysdeps/tile/libm-test-ulps: Account for new tests.

2012-10-26  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/Makefile (sysdep_routines):
	Include dl-vdso.
	* sysdeps/unix/sysv/linux/tile/bits/libc-vdso.h: New file.
	* sysdeps/unix/sysv/linux/tile/gettimeofday.c: New file.
	* sysdeps/unix/sysv/linux/tile/init-first.c: New file.

2012-10-19  Roland McGrath  <roland@hack.frob.com>

	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libc.abilist:
	(GLIBC_2.17): Add clock_* symbols.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libc.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libc.abilist:
	Likewise.

2012-10-11  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/tilegx/sched_getcpu.c: New file.

2012-10-02  Siddhesh Poyarekar  <siddhesh@redhat.com>

	* sysdeps/unix/sysv/linux/tile/nptl/lowlevellock.h: Fix clone
	flag name in comment to CLONE_CHILD_CLEARTID.

2012-09-17  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/libm-test-ulps: Account for new tests.

2012-09-06  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/sys/procfs.h: Fix type of prfpregset_t.

	[BZ #14237]
	* sysdeps/tile/__tls_get_addr.S: Fix TLS module initialization bug.

2012-08-27  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/tile/kernel-features.h
	(__ASSUME_STAT64_SYSCALL): Remove.

2012-08-21  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/tile/kernel-features.h
	(__ASSUME_FADVISE64_64_SYSCALL): Remove.

2012-08-20  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/tile/kernel-features.h
	(__ASSUME_MMAP2_SYSCALL): Remove.

2012-08-14  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/tile/kernel-features.h
	(__ASSUME_CLONE_THREAD_FLAGS): Remove.

2012-08-08  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/tile/kernel-features.h
	(__ASSUME_TGKILL): Remove.

2012-08-02  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/sysdep.h: Do not define ASM_TYPE_DIRECTIVE.

2012-08-01  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/tile/kernel-features.h
	(__ASSUME_FCNTL64): Remove.

2012-07-26  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/tile/sys/ptrace.h (__ptrace_eventcodes):
	Add new value PTRACE_EVENT_SECCOMP from Linux 3.5.
	(__ptrace_setoptions): Add new value PTRACE_O_TRACESECCOMP, adjust
	PTRACE_O_MASK.

	* sysdeps/unix/sysv/linux/tile/bits/siginfo.h (siginfo_t): Add
	_sigsys.
	(si_call_addr, si_syscall, si_arch): Define new macro.

2012-07-25  Florian Weimer  <fweimer@redhat.com>

	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libc.abilist:
	Add secure_getenv.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libc.abilist:
	Likewise.

2012-07-17  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/setcontext.S: Ensure exit status is
	zero if uc_link is NULL.

	* sysdeps/tile/libm-test-ulps: Account for new tests.

	* data/c++-types-tilepro-linux-gnu.data: Move to ...
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/c++-types.data: ... here.
	* data/c++-types-tilegx-linux-gnu.data: Move to ...
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/c++-types.data:
	... here.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/c++-types.data:
	New file.

2012-07-10  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/makecontext.c (__makecontext):
	Correct typo in comment.

	* sysdeps/tile/sysdep.h (ENTRY): Use .globl, not
	ASM_GLOBAL_DIRECTIVE.

2012-05-30  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/tilegx/Makefile: Remove test
	that $(subdir) is "misc" when setting abi- variables.

	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/Makefile: New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/Makefile: New file.

	* sysdeps/tile/libm-test-ulps: Account for new tests.

	* sysdeps/unix/sysv/linux/tile/tilegx/Makefile: New file.

	* sysdeps/unix/sysv/linux/tile/nptl/pthread_once.c: Replace
	_internal alias by hidden_def.

	* sysdeps/unix/sysv/linux/tile/kernel-features.h
	(__ASSUME_NEW_GETRLIMIT_SYSCALL, __ASSUME_TRUNCATE64_SYSCALL): Remove.

2012-05-23  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/bits/mman.h (MADV_DONTDUMP): Define.
	(MADV_DODUMP): Likewise.

2012-05-22  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/bits/libm-test-ulps: Update.

	* sysdeps/tile/bits/wordsize.h (__WORDSIZE_COMPAT32): Rename to
	__WORDSIZE_TIME64_COMPAT32.

	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libc.abilist: Update.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libc.abilist:
	Update.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libc.abilist:
	Update.

2012-05-17  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/fegetenv.c: Version fegetenv() like fesetenv().
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libm.abilist:
	Add fegetenv.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libm.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libm.abilist: Likewise.

	* sysdeps/tile/stackguard-macros.h: Support tilegx32.

	* data/c++-types-tilepro-linux-gnu.data: Renamed from
	data/c++-types-tile-linux-gnu.data.
	* data/c++-types-tilegx-linux-gnu.data: New file.

	* sysdeps/tile/libm-test-ulps: Improved fma() and exp10().

	* sysdeps/tile/s_fma.c: Use ieee754/dbl-64 without rounding or
	exception support; it's still much better than the generic version.

2012-05-16  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/ucontext_i: Fix tilegx32 offset bug.
	* sysdeps/unix/sysv/linux/tile/getcontext.S: Fix tilegx32 bug
	where we accessed "uc_flags" as an 8-byte field.
	* sysdeps/unix/sysv/linux/tile/setcontext.S: Likewise,
	and also fix frame code not to access stack below "sp".
	* sysdeps/unix/sysv/linux/tile/swapcontext.S: Fix frame code not
	to access stack below "sp", and add frame unwind to error path.

2012-05-15  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/sotruss-lib.c: New file.

	* sysdeps/tile/math_private.h (feraiseexcept): Use statement
	expression syntax to avoid compiler warning.

	* sysdeps/tile/libm-test-ulps: New file.

	* sysdeps/tile/bits/fenv.h (__FE_UNDEFINED): New symbol.

	* sysdeps/tile/ldsodefs.h (ARCH_PLTEXIT_MEMBERS): Add proper
	const qualifier to "inregs" argument.

	* sysdeps/tile/elf/stackguard-macros.h: Delete unused file.

2012-05-14  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/ld.abilist:
	New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libBrokenLocale.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libanl.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libc.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libcrypt.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libdl.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libm.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libnsl.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libpthread.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libresolv.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/librt.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libthread_db.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/nptl/libutil.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/ld.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libBrokenLocale.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libanl.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libc.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libcrypt.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libdl.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libm.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libnsl.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libpthread.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libresolv.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/librt.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libthread_db.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/nptl/libutil.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/ld.abilist: Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libBrokenLocale.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libanl.abilist: Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libc.abilist: Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libcrypt.abilist: Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libdl.abilist: Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libm.abilist: Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libnsl.abilist: Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libpthread.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libresolv.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/librt.abilist: Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libthread_db.abilist:
	Likewise.
	* sysdeps/unix/sysv/linux/tile/tilepro/nptl/libutil.abilist: Likewise.

	* sysdeps/tile/dl-start.S: Align stack for tilegx32.

2012-05-12  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/unix/sysv/linux/tile/sys/dataplane.h: Add <features.h>.

	* sysdeps/unix/sysv/linux/tile/nptl/clone.S: Add missing CFI.

	* sysdeps/tile/tls-macros.h: Fix buggy TLS_GD, etc., macros.

	* sysdeps/tile/tilegx/memchr.c: Use new copy_byte() function
	to efficiently generate a large constant for masking.
	* sysdeps/tile/tilegx/memset.c: Likewise.
	* sysdeps/tile/tilegx/rawmemchr.c: Likewise.
	* sysdeps/tile/tilegx/strchr.c: Likewise.
	* sysdeps/tile/tilegx/strchrnul.c: Likewise.
	* sysdeps/tile/tilegx/strrchr.c: Likewise.
	* sysdeps/tile/tilegx/string-endian.h (copy_byte): New function.

	* sysdeps/tile/tilegx/memcpy.c: Allow memcpy(p, p, n)
	without corrupting memory at "p".

	* sysdeps/tile/__tls_get_addr.S: Use __WORDSIZE, not _LP64.

	* sysdeps/tile/stackguard-macros.h: New file.
	* sysdeps/tile/elf/stackguard-macros.h: New stub include file.

	* sysdeps/tile/Makefile (ELF_MACHINE_PLTREL_OVERLAP):
	Remove variable no longer used by core.

	* sysdeps/unix/sysv/linux/tile/bits/siginfo.h: Don't name
	siginfo_t struct.  Add forward declaration of pthread_attr_t and
	use it in sigevent.
	* sysdeps/unix/sysv/linux/tile/nptl/bits/pthreadtypes.h: Name
	pthread_attr_t union.

	* sysdeps/tile/crti.S: New file, based on compiler output
	for sysdeps/generic/initfini.c.
	* sysdeps/tile/crtn.S: Likewise.
	* sysdeps/tile/Makefile (CFLAGS-initfini.s): Remove variable.
	* sysdeps/unix/sysv/linux/tile/nptl/Makefile
	(CFLAGS-pt-initfini.s): Likewise.
	* sysdeps/tile/elf/start.S: Moved to ...
	* sysdeps/tile/start.S: ...here.

2012-04-15  Mike Frysinger  <vapier@gentoo.org>

	* sysdeps/unix/sysv/linux/tile/tilegx/register-dump.h: Include
	<_itoa.h> instead of <stdio-common/_itoa.h>.
	* sysdeps/unix/sysv/linux/tile/tilepro/register-dump.h: Likewise.

2012-03-09  Richard Henderson  <rth@twiddle.net>

	* sysdeps/tile/math_private.h: Use include_next to
	chain math_private.h.

2012-03-09  Paul Eggert  <eggert@cs.ucla.edu>

	[BZ #13673]
	Replace FSF snail mail address with URLs, as per GNU coding standards.

2012-01-31  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/bits/fenv.h: Use const instead of __const.
	* sysdeps/unix/sysv/linux/tile/sys/cachectl.h: Likewise.

2012-01-31  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/sysdep.h: Use <feedback.h> not <feedback-asm.h>
	to reflect change from gcc community giveback.

2012-01-31  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/math_private.h: Ignore feraiseexcept() internally.

2012-01-30  Chris Metcalf  <cmetcalf@tilera.com>

	* sysdeps/tile/sysdep.h: Don't check HAVE_ELF or NO_UNDERSCORES.

2012-01-07  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/tile/backtrace.c: Use x86_64 version of backtrace.c.

2011-12-03  Chris Metcalf  <cmetcalf@tilera.com>

	* data/c++-types-tile-linux-gnu.data: New file.
	* sysdeps/tile/Implies: New file.
	* sysdeps/tile/Makefile: New file.
	* sysdeps/tile/Versions: New file.
	* sysdeps/tile/__longjmp.S: New file.
	* sysdeps/tile/__tls_get_addr.S: New file.
	* sysdeps/tile/_mcount.S: New file.
	* sysdeps/tile/abort-instr.h: New file.
	* sysdeps/tile/backtrace.c: New file.
	* sysdeps/tile/bits/atomic.h: New file.
	* sysdeps/tile/bits/byteswap.h: New file.
	* sysdeps/tile/bits/endian.h: New file.
	* sysdeps/tile/bits/fenv.h: New file.
	* sysdeps/tile/bits/link.h: New file.
	* sysdeps/tile/bits/mathdef.h: New file.
	* sysdeps/tile/bits/mathinline.h: New file.
	* sysdeps/tile/bits/setjmp.h: New file.
	* sysdeps/tile/bsd-_setjmp.S: New file.
	* sysdeps/tile/bsd-setjmp.S: New file.
	* sysdeps/tile/bzero.S: New file.
	* sysdeps/tile/dl-lookupcfg.h: New file.
	* sysdeps/tile/dl-machine.h: New file.
	* sysdeps/tile/dl-runtime.c: New file.
	* sysdeps/tile/dl-start.S: New file.
	* sysdeps/tile/dl-tls.c: New file.
	* sysdeps/tile/dl-tls.h: New file.
	* sysdeps/tile/dl-trampoline.S: New file.
	* sysdeps/tile/elf/start.S: New file.
	* sysdeps/tile/fegetenv.c: New file.
	* sysdeps/tile/fegetround.c: New file.
	* sysdeps/tile/feholdexcpt.c: New file.
	* sysdeps/tile/fesetenv.c: New file.
	* sysdeps/tile/fesetround.c: New file.
	* sysdeps/tile/feupdateenv.c: New file.
	* sysdeps/tile/ffs.c: New file.
	* sysdeps/tile/ffsll.c: New file.
	* sysdeps/tile/gccframe.h: New file.
	* sysdeps/tile/jmpbuf-offsets.h: New file.
	* sysdeps/tile/jmpbuf-unwind.h: New file.
	* sysdeps/tile/ldsodefs.h: New file.
	* sysdeps/tile/machine-gmon.h: New file.
	* sysdeps/tile/nptl/Makefile: New file.
	* sysdeps/tile/nptl/pthread_spin_lock.c: New file.
	* sysdeps/tile/nptl/pthread_spin_trylock.c: New file.
	* sysdeps/tile/nptl/pthreaddef.h: New file.
	* sysdeps/tile/nptl/tcb-offsets.sym: New file.
	* sysdeps/tile/nptl/tls.h: New file.
	* sysdeps/tile/preconfigure: New file.
	* sysdeps/tile/s_fma.c: New file.
	* sysdeps/tile/s_fmaf.c: New file.
	* sysdeps/tile/setjmp.S: New file.
	* sysdeps/tile/shlib-versions: New file.
	* sysdeps/tile/stackinfo.h: New file.
	* sysdeps/tile/sysdep.h: New file.
	* sysdeps/tile/tilegx/bits/atomic.h: New file.
	* sysdeps/tile/tilegx/bits/wordsize.h: New file.
	* sysdeps/tile/tilegx/memchr.c: New file.
	* sysdeps/tile/tilegx/memcpy.c: New file.
	* sysdeps/tile/tilegx/memset.c: New file.
	* sysdeps/tile/tilegx/memusage.h: New file.
	* sysdeps/tile/tilegx/rawmemchr.c: New file.
	* sysdeps/tile/tilegx/strchr.c: New file.
	* sysdeps/tile/tilegx/strchrnul.c: New file.
	* sysdeps/tile/tilegx/string-endian.h: New file.
	* sysdeps/tile/tilegx/strlen.c: New file.
	* sysdeps/tile/tilegx/strrchr.c: New file.
	* sysdeps/tile/tilegx/tilegx32/Implies: New file.
	* sysdeps/tile/tilegx/tilegx64/Implies: New file.
	* sysdeps/tile/tilepro/Implies: New file.
	* sysdeps/tile/tilepro/bits/atomic.h: New file.
	* sysdeps/tile/tilepro/bits/wordsize.h: New file.
	* sysdeps/tile/tilepro/memchr.c: New file.
	* sysdeps/tile/tilepro/memcpy.S: New file.
	* sysdeps/tile/tilepro/memset.c: New file.
	* sysdeps/tile/tilepro/memusage.h: New file.
	* sysdeps/tile/tilepro/rawmemchr.c: New file.
	* sysdeps/tile/tilepro/strchr.c: New file.
	* sysdeps/tile/tilepro/strchrnul.c: New file.
	* sysdeps/tile/tilepro/strlen.c: New file.
	* sysdeps/tile/tilepro/strrchr.c: New file.
	* sysdeps/tile/tls-macros.h: New file.
	* sysdeps/tile/tst-audit.h: New file.
	* sysdeps/unix/sysv/linux/tile/Makefile: New file.
	* sysdeps/unix/sysv/linux/tile/Versions: New file.
	* sysdeps/unix/sysv/linux/tile/bits/environments.h: New file.
	* sysdeps/unix/sysv/linux/tile/bits/local_lim.h: New file.
	* sysdeps/unix/sysv/linux/tile/bits/mman.h: New file.
	* sysdeps/unix/sysv/linux/tile/bits/mman.h~: New file.
	* sysdeps/unix/sysv/linux/tile/bits/sigaction.h: New file.
	* sysdeps/unix/sysv/linux/tile/bits/siginfo.h: New file.
	* sysdeps/unix/sysv/linux/tile/cacheflush.c: New file.
	* sysdeps/unix/sysv/linux/tile/configure: New file.
	* sysdeps/unix/sysv/linux/tile/configure.in: New file.
	* sysdeps/unix/sysv/linux/tile/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/tile/kernel-features.h: New file.
	* sysdeps/unix/sysv/linux/tile/makecontext.c: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/Makefile: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/bits/pthreadtypes.h: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/bits/semaphore.h: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/clone.S: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/createthread.c: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/fork.c: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/lowlevellock.h: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/pt-vfork.S: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/pthread_once.c: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/sysdep-cancel.h: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/vfork.S: New file.
	* sysdeps/unix/sysv/linux/tile/nptl/waitpid.S: New file.
	* sysdeps/unix/sysv/linux/tile/profil-counter.h: New file.
	* sysdeps/unix/sysv/linux/tile/set_dataplane.c: New file.
	* sysdeps/unix/sysv/linux/tile/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/tile/sigcontextinfo.h: New file.
	* sysdeps/unix/sysv/linux/tile/swapcontext.S: New file.
	* sysdeps/unix/sysv/linux/tile/sys/cachectl.h: New file.
	* sysdeps/unix/sysv/linux/tile/sys/dataplane.h: New file.
	* sysdeps/unix/sysv/linux/tile/sys/procfs.h: New file.
	* sysdeps/unix/sysv/linux/tile/sys/ptrace.h: New file.
	* sysdeps/unix/sysv/linux/tile/sys/reg.h: New file.
	* sysdeps/unix/sysv/linux/tile/sys/ucontext.h: New file.
	* sysdeps/unix/sysv/linux/tile/sys/user.h: New file.
	* sysdeps/unix/sysv/linux/tile/syscall.S: New file.
	* sysdeps/unix/sysv/linux/tile/sysdep.c: New file.
	* sysdeps/unix/sysv/linux/tile/sysdep.h: New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/ioctl.S: New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/ldconfig.h: New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/register-dump.h: New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx32/Implies: New file.
	* sysdeps/unix/sysv/linux/tile/tilegx/tilegx64/Implies: New file.
	* sysdeps/unix/sysv/linux/tile/tilepro/Implies: New file.
	* sysdeps/unix/sysv/linux/tile/tilepro/ldconfig.h: New file.
	* sysdeps/unix/sysv/linux/tile/tilepro/register-dump.h: New file.
	* sysdeps/unix/sysv/linux/tile/ucontext_i.h: New file.
